# Submission

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **i32** | Submission's ID | 
**title** | **String** | Submission's title | 
**author** | [**models::UserPartial**](UserPartial.md) |  | 
**date** | **String** | Submission's upload date | 
**tags** | **Vec<String>** | Submission's tags | 
**category** | **String** | Submission's category (e.g. Artwork) | 
**species** | **String** | Submission's species | 
**gender** | **String** | Submission's gender | 
**rating** | **String** | Submission's rating (e.g. general, mature, etc.) | 
**r#type** | **String** | Submission's type (i.e. image, text, music) | 
**stats** | [**models::SubmissionStats**](SubmissionStats.md) |  | 
**description** | **String** | Submission's description | 
**footer** | **String** | Submission's footer | 
**mentions** | **Vec<String>** | Submission's mentions (users mentioned with FA links in the description) | 
**folder** | **String** | Submission's folder (i.e. gallery or scraps) | 
**user_folders** | [**Vec<models::SubmissionUserFolder>**](SubmissionUserFolder.md) | User-defined folder(s) | 
**file_url** | **String** | URL to submission's file | 
**thumbnail_url** | **String** | URL to submission's thumbnail | 
**comments** | [**Vec<models::Comment>**](Comment.md) | Submission's comments | 
**prev** | Option<**i32**> |  | 
**next** | Option<**i32**> |  | 
**favorite** | **bool** | Favorite status of the submission | 
**favorite_toggle_link** | **String** | Link to toggle favorite status of the submission | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


