# \SubmissionsApi

All URIs are relative to *https://furaffinity-api.herokuapp.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_favorites_user_username_favorites_page_post**](SubmissionsApi.md#get_favorites_user_username_favorites_page_post) | **POST** /user/{username}/favorites/{page} | Get Favorites
[**get_frontpage_frontpage_post**](SubmissionsApi.md#get_frontpage_frontpage_post) | **POST** /frontpage/ | Get Frontpage
[**get_gallery_user_username_gallery_page_post**](SubmissionsApi.md#get_gallery_user_username_gallery_page_post) | **POST** /user/{username}/gallery/{page}/ | Get Gallery
[**get_scraps_user_username_scraps_page_post**](SubmissionsApi.md#get_scraps_user_username_scraps_page_post) | **POST** /user/{username}/scraps/{page}/ | Get Scraps
[**get_submission_file_submission_submission_id_file_post**](SubmissionsApi.md#get_submission_file_submission_submission_id_file_post) | **POST** /submission/{submission_id}/file/ | Get Submission File
[**get_submission_submission_submission_id_post**](SubmissionsApi.md#get_submission_submission_submission_id_post) | **POST** /submission/{submission_id}/ | Get Submission



## get_favorites_user_username_favorites_page_post

> models::SubmissionsFolder get_favorites_user_username_favorites_page_post(username, page, body)
Get Favorites

Get a list of submissions from the user's favorites folder. Starting page should be 0 or '/'.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **String** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::SubmissionsFolder**](SubmissionsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_frontpage_frontpage_post

> Vec<models::SubmissionPartial> get_frontpage_frontpage_post(body)
Get Frontpage

Get the most recent submissions.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**Vec<models::SubmissionPartial>**](SubmissionPartial.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_gallery_user_username_gallery_page_post

> models::SubmissionsFolder get_gallery_user_username_gallery_page_post(username, page, body)
Get Gallery

Get a list of submissions from the user's gallery folder.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::SubmissionsFolder**](SubmissionsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_scraps_user_username_scraps_page_post

> models::SubmissionsFolder get_scraps_user_username_scraps_page_post(username, page, body)
Get Scraps

Get a list of submissions from the user's scraps folder.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::SubmissionsFolder**](SubmissionsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_submission_file_submission_submission_id_file_post

> get_submission_file_submission_submission_id_file_post(submission_id, body)
Get Submission File

Redirect to a submission's file URL

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**submission_id** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_submission_submission_submission_id_post

> models::Submission get_submission_submission_submission_id_post(submission_id, body)
Get Submission

Get a submission

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**submission_id** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::Submission**](Submission.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

