# \UserApi

All URIs are relative to *https://furaffinity-api.herokuapp.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_favorites_user_username_favorites_page_post**](UserApi.md#get_favorites_user_username_favorites_page_post) | **POST** /user/{username}/favorites/{page} | Get Favorites
[**get_gallery_user_username_gallery_page_post**](UserApi.md#get_gallery_user_username_gallery_page_post) | **POST** /user/{username}/gallery/{page}/ | Get Gallery
[**get_journals_user_username_journals_page_post**](UserApi.md#get_journals_user_username_journals_page_post) | **POST** /user/{username}/journals/{page}/ | Get Journals
[**get_login_user_me_post**](UserApi.md#get_login_user_me_post) | **POST** /me/ | Get Login User
[**get_scraps_user_username_scraps_page_post**](UserApi.md#get_scraps_user_username_scraps_page_post) | **POST** /user/{username}/scraps/{page}/ | Get Scraps
[**get_user_user_username_post**](UserApi.md#get_user_user_username_post) | **POST** /user/{username}/ | Get User
[**get_user_watchlist_by_user_username_watchlist_by_page_post**](UserApi.md#get_user_watchlist_by_user_username_watchlist_by_page_post) | **POST** /user/{username}/watchlist/by/{page}/ | Get User Watchlist By
[**get_user_watchlist_to_user_username_watchlist_to_page_post**](UserApi.md#get_user_watchlist_to_user_username_watchlist_to_page_post) | **POST** /user/{username}/watchlist/to/{page}/ | Get User Watchlist To



## get_favorites_user_username_favorites_page_post

> models::SubmissionsFolder get_favorites_user_username_favorites_page_post(username, page, body)
Get Favorites

Get a list of submissions from the user's favorites folder. Starting page should be 0 or '/'.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **String** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::SubmissionsFolder**](SubmissionsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_gallery_user_username_gallery_page_post

> models::SubmissionsFolder get_gallery_user_username_gallery_page_post(username, page, body)
Get Gallery

Get a list of submissions from the user's gallery folder.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::SubmissionsFolder**](SubmissionsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_journals_user_username_journals_page_post

> models::JournalsFolder get_journals_user_username_journals_page_post(username, page, body)
Get Journals

Get a list of journals from the user's journals folder.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::JournalsFolder**](JournalsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_login_user_me_post

> models::User get_login_user_me_post(body)
Get Login User

Get the logged-in user's details, profile text, etc. The username may contain underscore (_) characters

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::User**](User.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_scraps_user_username_scraps_page_post

> models::SubmissionsFolder get_scraps_user_username_scraps_page_post(username, page, body)
Get Scraps

Get a list of submissions from the user's scraps folder.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::SubmissionsFolder**](SubmissionsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_user_user_username_post

> models::User get_user_user_username_post(username, body)
Get User

Get a user's details, profile text, etc. The username may contain underscore (_) characters

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::User**](User.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_user_watchlist_by_user_username_watchlist_by_page_post

> models::Watchlist get_user_watchlist_by_user_username_watchlist_by_page_post(username, page, body)
Get User Watchlist By

Get a list of users watched by {username}

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::Watchlist**](Watchlist.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_user_watchlist_to_user_username_watchlist_to_page_post

> models::Watchlist get_user_watchlist_to_user_username_watchlist_to_page_post(username, page, body)
Get User Watchlist To

Get a list of users watching {username}

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::Watchlist**](Watchlist.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

